# Generated by Django 4.2.16 on 2024-10-02 07:53

from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields
import djangoldp.permissions


class Migration(migrations.Migration):

    dependencies = [
        ('djangoldp_tamis', '0009_agent_creation_date_agent_update_date_and_more'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='asset',
            name='identifier',
        ),
        migrations.RemoveField(
            model_name='asset',
            name='issuer',
        ),
        migrations.RemoveField(
            model_name='audiotrack',
            name='identifier',
        ),
        migrations.RemoveField(
            model_name='audiotrack',
            name='issuer',
        ),
        migrations.RemoveField(
            model_name='format',
            name='identifier',
        ),
        migrations.RemoveField(
            model_name='format',
            name='issuer',
        ),
        migrations.RemoveField(
            model_name='mediaresource',
            name='identifier',
        ),
        migrations.RemoveField(
            model_name='mediaresource',
            name='issuer',
        ),
        migrations.RemoveField(
            model_name='programme',
            name='identifier',
        ),
        migrations.RemoveField(
            model_name='programme',
            name='issuer',
        ),
        migrations.RemoveField(
            model_name='season',
            name='identifier',
        ),
        migrations.RemoveField(
            model_name='season',
            name='issuer',
        ),
        migrations.RemoveField(
            model_name='serie',
            name='identifier',
        ),
        migrations.RemoveField(
            model_name='serie',
            name='issuer',
        ),
        migrations.RemoveField(
            model_name='track',
            name='identifier',
        ),
        migrations.RemoveField(
            model_name='track',
            name='issuer',
        ),
        migrations.RemoveField(
            model_name='videotrack',
            name='identifier',
        ),
        migrations.RemoveField(
            model_name='videotrack',
            name='issuer',
        ),
        migrations.CreateModel(
            name='Identifiant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('identifier', models.CharField(blank=True, default='', max_length=254, null=True)),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('issuer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_tamis.agent')),
            ],
            options={
                'verbose_name': 'Identifiant',
                'verbose_name_plural': 'Identifiants',
                'abstract': False,
                'default_permissions': {'add', 'change', 'delete', 'control', 'view'},
                'rdf_type': 'ec:Identifier',
                'permission_classes': [djangoldp.permissions.ReadOnly],
                'serializer_fields': ['@id', 'identifier', 'issuer', 'creation_date', 'update_date'],
                'nested_fields': ['issuer'],
                'depth': 0,
            },
        ),
        migrations.AddField(
            model_name='asset',
            name='identifiants',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_tamis.identifiant'),
        ),
        migrations.AddField(
            model_name='audiotrack',
            name='identifiants',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_tamis.identifiant'),
        ),
        migrations.AddField(
            model_name='format',
            name='identifiants',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_tamis.identifiant'),
        ),
        migrations.AddField(
            model_name='mediaresource',
            name='identifiants',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_tamis.identifiant'),
        ),
        migrations.AddField(
            model_name='programme',
            name='identifiants',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_tamis.identifiant'),
        ),
        migrations.AddField(
            model_name='season',
            name='identifiants',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_tamis.identifiant'),
        ),
        migrations.AddField(
            model_name='serie',
            name='identifiants',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_tamis.identifiant'),
        ),
        migrations.AddField(
            model_name='track',
            name='identifiants',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_tamis.identifiant'),
        ),
        migrations.AddField(
            model_name='videotrack',
            name='identifiants',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_tamis.identifiant'),
        ),
    ]
