# Generated by Django 4.2.16 on 2024-10-03 15:06

from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields
import djangoldp.permissions


class Migration(migrations.Migration):

    dependencies = [
        ('djangoldp_tamis', '0011_remove_asset_identifiants_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Commande',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('title', models.CharField(blank=True, default='', max_length=254, null=True)),
                ('client_name', models.CharField(blank=True, default='', max_length=254, null=True)),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('identifiants', models.ManyToManyField(blank=True, to='djangoldp_tamis.identifiant')),
            ],
            options={
                'verbose_name': 'Commande',
                'verbose_name_plural': 'Commandes',
                'abstract': False,
                'default_permissions': {'view', 'add', 'control', 'change', 'delete'},
                'rdf_type': 'sib:Commande',
                'auto_author': 'creator',
                'permission_classes': [djangoldp.permissions.ReadOnly],
                'serializer_fields': ['@id', 'title', 'client_name', 'identifiants', 'prestations', 'creation_date', 'update_date'],
                'nested_fields': ['identifiants', 'prestations'],
                'depth': 0,
            },
        ),
        migrations.AddField(
            model_name='prestation',
            name='commande',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='prestations', to='djangoldp_tamis.commande'),
        ),
    ]
