# Generated by Django 4.2.13 on 2025-01-21 11:25

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("djangoldp_tamis", "0017_rename_name_editorialwork_title_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="Client",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
            ],
            options={
                "verbose_name": "Client",
                "verbose_name_plural": "Clients",
                "abstract": False,
                "default_permissions": {"change", "delete", "add", "control", "view"},
                "rdf_type": "tamis:Client",
                "serializer_fields": ["@id", "name", "creation_date", "update_date"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Provider",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
            ],
            options={
                "verbose_name": "Provider",
                "verbose_name_plural": "Providers",
                "abstract": False,
                "default_permissions": {"change", "delete", "add", "control", "view"},
                "rdf_type": "tamis:Provider",
                "serializer_fields": ["@id", "name", "creation_date", "update_date"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.RemoveField(
            model_name="commande",
            name="client_name",
        ),
        migrations.AddField(
            model_name="commande",
            name="client",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="clients",
                to="djangoldp_tamis.client",
            ),
        ),
        migrations.AddField(
            model_name="commande",
            name="provider",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="commandes",
                to="djangoldp_tamis.provider",
            ),
        ),
        migrations.CreateModel(
            name="Favourite",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("favourite", djangoldp.fields.LDPUrlField(blank=True, null=True)),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "user",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="favourites",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "Favourite",
                "verbose_name_plural": "Favourites",
                "abstract": False,
                "default_permissions": {"change", "delete", "add", "control", "view"},
                "rdf_type": "tamis:Favourite",
                "auto_author": "user",
                "owner_field": "user",
                "serializer_fields": [
                    "@id",
                    "user",
                    "favourite",
                    "creation_date",
                    "update_date",
                ],
                "depth": 0,
                "unique_together": {("user", "favourite")},
            },
        ),
    ]
